<template>
<div>
  <h1>Vuejs</h1>
  <Car :power="power" :duenio="duenio" :upPower="upPower" @downPower="downPower"/>
  <Dog />
</div>
  
</template>

<script>
import CarComposition from "./components/CarComposition"
import CarOptions from "./components/CarOptions"
import Car from "./components/Car"
import Dog from "./components/Dog"

import { ref } from "vue"

export default {
  components: {
    CarComposition,
    CarOptions,
    Car,
    Dog
  },
  setup() {
    let power = ref(30)
    const duenio = "Aurelio"

    const upPower = (newPower) => {
      //console.log("Aumentar power...");
      power.value = power.value + newPower
    }
    const downPower = () => {
      //console.log("Disminuir power...");
      power.value = power.value - 10
    }

    return {
      power,
      duenio,
      upPower,
      downPower
    }
  }
}
</script>

<style>

</style>